# Uses of Class
it.tdlight.jni.TdApi.PremiumPaymentOption

## Uses of TdApi.PremiumPaymentOption in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PremiumPaymentOption
Modifier and Type
Field
Description
`TdApi.PremiumPaymentOption`
TdApi.PremiumStatePaymentOption.`paymentOption`
Information about the payment option.
`TdApi.PremiumPaymentOption[]`
TdApi.UserFullInfo.`premiumGiftOptions`
The list of available options for gifting Telegram Premium to the user.
Constructors in it.tdlight.jni with parameters of type TdApi.PremiumPaymentOption
Modifier
Constructor
Description
``
`PremiumStatePaymentOption(TdApi.PremiumPaymentOption paymentOption, boolean isCurrent, boolean isUpgrade, String lastTransactionId)`
Describes an option for buying or upgrading Telegram Premium for self.
``
`UserFullInfo(TdApi.ChatPhoto personalPhoto, TdApi.ChatPhoto photo, TdApi.ChatPhoto publicPhoto, TdApi.BlockList blockList, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean hasPrivateForwards, boolean hasRestrictedVoiceAndVideoNoteMessages, boolean hasPinnedStories, boolean needPhoneNumberPrivacyException, boolean setChatBackground, TdApi.FormattedText bio, TdApi.PremiumPaymentOption[] premiumGiftOptions, int groupInCommonCount, TdApi.BusinessInfo businessInfo, TdApi.BotInfo botInfo)`
Contains full information about a user.